scala.io.BytePickle

# UnPicklerEnv

#### class UnPicklerEnv extends HashMap[Int, Any]

Source
  BytePickle.scala

Linear Supertypes
HashMap[Int, Any], Serializable, java.io.Serializable, CustomParallelizable[(Int, Any), ParHashMap[Int, Any]], HashTable[Int, DefaultEntry[Int, Any]], HashUtils[Int], AbstractMap[Int, Any], Map[Int, Any], MapLike[Int, Any, HashMap[Int, Any]], collection.mutable.Cloneable[HashMap[Int, Any]], Cloneable, java.lang.Cloneable, Shrinkable[Int], Builder[(Int, Any), HashMap[Int, Any]], Growable[(Int, Any)], Clearable, collection.mutable.Iterable[(Int, Any)], collection.mutable.Traversable[(Int, Any)], Mutable, AbstractMap[Int, Any], Map[Int, Any], MapLike[Int, Any, HashMap[Int, Any]], Subtractable[Int, HashMap[Int, Any]], PartialFunction[Int, Any], (Int) ⇒ Any, GenMap[Int, Any], GenMapLike[Int, Any, HashMap[Int, Any]], AbstractIterable[(Int, Any)], collection.Iterable[(Int, Any)], IterableLike[(Int, Any), HashMap[Int, Any]], Equals, GenIterable[(Int, Any)], GenIterableLike[(Int, Any), HashMap[Int, Any]], AbstractTraversable[(Int, Any)], collection.Traversable[(Int, Any)], GenTraversable[(Int, Any)], GenericTraversableTemplate[(Int, Any), collection.mutable.Iterable], TraversableLike[(Int, Any), HashMap[Int, Any]], GenTraversableLike[(Int, Any), HashMap[Int, Any]], Parallelizable[(Int, Any), ParHashMap[Int, Any]], collection.TraversableOnce[(Int, Any)], GenTraversableOnce[(Int, Any)], FilterMonadic[(Int, Any), HashMap[Int, Any]], HasNewBuilder[(Int, Any), HashMap[Int, Any]], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. UnPicklerEnv
2. HashMap
3. Serializable
4. Serializable
5. CustomParallelizable
6. HashTable
7. HashUtils
8. AbstractMap
9. Map
10. MapLike
11. Cloneable
12. Cloneable
13. Cloneable
14. Shrinkable
15. Builder
16. Growable
17. Clearable
18. Iterable
19. Traversable
20. Mutable
21. AbstractMap
22. Map
23. MapLike
24. Subtractable
25. PartialFunction
26. Function1
27. GenMap
28. GenMapLike
29. AbstractIterable
30. Iterable
31. IterableLike
32. Equals
33. GenIterable
34. GenIterableLike
35. AbstractTraversable
36. Traversable
37. GenTraversable
38. GenericTraversableTemplate
39. TraversableLike
40. GenTraversableLike
41. Parallelizable
42. TraversableOnce
43. GenTraversableOnce
44. FilterMonadic
45. HasNewBuilder
46. AnyRef
47. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new UnPicklerEnv()

### Type Members

1. #### class DefaultKeySet extends AbstractSet[A] with Set[A] with Serializable

   The implementation class of the set returned by `keySet`.

2. #### class DefaultValuesIterable extends AbstractIterable[B] with Iterable[B] with Serializable

   The implementation class of the iterable returned by `values`.

3. #### type Entry = DefaultEntry[Int, Any]

   Definition Classes
     HashMap

4. #### class FilteredKeys extends AbstractMap[A, B] with DefaultMap[A, B]

   Attributes
     protected
   Definition Classes
     MapLike

5. #### class MappedValues[C] extends AbstractMap[A, C] with DefaultMap[A, C]

   Attributes
     protected
   Definition Classes
     MapLike

6. #### type Self = HashMap[Int, Any]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

7. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +[B1 >: Any](elem1: (Int, B1), elem2: (Int, B1), elems: (Int, B1)*): Map[Int, B1]

   Creates a new map containing two or more key/value mappings and all the key/value mappings of this map.

   Creates a new map containing two or more key/value mappings and all the key/value mappings of this map.

   Specified mappings will override existing mappings from this map with the same keys.

   B1

     the type of the added values

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new map containing mappings of this map and two or more specified mappings.

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

5. #### def +[B1 >: Any](kv: (Int, B1)): Map[Int, B1]

   Creates a new map containing a new key/value mapping and all the key/value mappings of this map.

   Creates a new map containing a new key/value mapping and all the key/value mappings of this map.

   Mapping `kv` will override existing mappings from this map with the same key.

   B1

     the type of the value in the key/value pair.

   kv

     the key/value mapping to be added

   returns

     a new map containing mappings of this map and the mapping `kv`.

   Definition Classes
     MapLike → MapLike → GenMapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new map. Use `+=` to add an element to this map and return that map itself.

6. #### def ++[B1 >: Any](xs: GenTraversableOnce[(Int, B1)]): Map[Int, B1]

   Creates a new map containing the key/value mappings provided by the specified traversable object and all the key/value mappings of this map.

   Creates a new map containing the key/value mappings provided by the specified traversable object and all the key/value mappings of this map.

   Note that existing mappings from this map with the same key as those in `xs` will be overriden.

   B1

     the type of the added values

   xs

     the traversable object.

   returns

     a new map containing mappings of this map and those provided by `xs`.

   Definition Classes
     MapLike → MapLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new map. Use `++=` to add an element to this map and return that map itself.

7. #### def ++[B](that: GenTraversableOnce[B]): mutable.HashMap[B]

   [use case] Returns a new mutable hash map containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable hash map containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable hash map is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable hash map which contains all elements of this mutable hash map followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: (Int, Any), That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

8. #### def ++:[B >: (Int, Any), That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. In the standard library configuration, `That` is always `HashMap[A, B]` if the elements contained in the resulting collection are pairs of type `(A, B)`. This is because an implicit of type `CanBuildFrom[HashMap, (A, B), HashMap[A, B]]` is defined in object `HashMap`. Otherwise, `That` resolves to the most specific type that doesn't have to contain pairs of type `(A, B)`, which is `Iterable`.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `HashMap`.

   returns

     a new collection of type `That` which contains all elements of this mutable hash map followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### def ++:[B](that: collection.TraversableOnce[B]): mutable.HashMap[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable hash map which contains all elements of this mutable hash map followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: (Int, Any), That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

10. #### def ++=(xs: collection.TraversableOnce[(Int, Any)]): UnPicklerEnv.this.type

    adds all elements produced by a TraversableOnce to this mutable hash map.

    adds all elements produced by a TraversableOnce to this mutable hash map.

    xs

      the TraversableOnce producing the elements to add.

    returns

      the mutable hash map itself.

    Definition Classes
      Growable

11. #### def +=(kv: (Int, Any)): UnPicklerEnv.this.type

    Adds a new key/value pair to this map.

    Adds a new key/value pair to this map. If the map already contains a mapping for the key, it will be overridden by the new value.

    kv

      the key/value pair.

    returns

      the map itself

    Definition Classes
      HashMap → MapLike → Builder → Growable

12. #### def +=(elem1: (Int, Any), elem2: (Int, Any), elems: (Int, Any)*): UnPicklerEnv.this.type

    adds two or more elements to this mutable hash map.

    adds two or more elements to this mutable hash map.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the mutable hash map itself

    Definition Classes
      Growable

13. #### def -(elem1: Int, elem2: Int, elems: Int*): HashMap[Int, Any]

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of the two or more specified keys.

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of the two or more specified keys.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new map containing all the mappings of this map except mappings with a key equal to `elem1`, `elem2` or any of `elems`.

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

14. #### def -(key: Int): HashMap[Int, Any]

    Creates a new map with all the key/value mappings of this map except the key/value mapping with the specified key.

    Creates a new map with all the key/value mappings of this map except the key/value mapping with the specified key.

    key

      the key to be removed

    returns

      a new map with all the mappings of this map except that with a key `key`.

    Definition Classes
      MapLike → MapLike → Subtractable → GenMapLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new map. Use `-=` to remove an element from this map and return that map itself.

15. #### def --(xs: GenTraversableOnce[Int]): HashMap[Int, Any]

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of those provided by the specified traversable object.

    Creates a new map with all the key/value mappings of this map except mappings with keys equal to any of those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new map with all the key/value mappings of this map except mappings with a key equal to a key from `xs`.

    Definition Classes
      MapLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new map. Use `--=` to remove an element from this map and return that map itself.

16. #### def --=(xs: collection.TraversableOnce[Int]): UnPicklerEnv.this.type

    Removes all elements produced by an iterator from this mutable hash map.

    Removes all elements produced by an iterator from this mutable hash map.

    xs

      the iterator producing the elements to remove.

    returns

      the mutable hash map itself

    Definition Classes
      Shrinkable

17. #### def -=(key: Int): UnPicklerEnv.this.type

    Removes a key from this map.

    Removes a key from this map.

    key

      the key to be removed

    returns

      the map itself.

    Definition Classes
      HashMap → MapLike → Shrinkable

18. #### def -=(elem1: Int, elem2: Int, elems: Int*): UnPicklerEnv.this.type

    Removes two or more elements from this mutable hash map.

    Removes two or more elements from this mutable hash map.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the mutable hash map itself

    Definition Classes
      Shrinkable

19. #### def ->[B](y: B): (UnPicklerEnv, B)

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to ArrowAssoc[UnPicklerEnv] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

20. #### def /:[B](z: B)(op: (B, (Int, Any)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable hash map, going left to right.

    Applies a binary operator to a start value and all elements of this mutable hash map, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable hash map, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this mutable hash map.

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### def :\[B](z: B)(op: ((Int, Any), B) ⇒ B): B

    Applies a binary operator to all elements of this mutable hash map and a start value, going right to left.

    Applies a binary operator to all elements of this mutable hash map and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this mutable hash map, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable hash map.

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

24. #### var _loadFactor: Int

    Attributes
      protected
    Definition Classes
      HashTable

25. #### def addEntry(e: DefaultEntry[Int, Any]): Unit

    Add entry to table pre: no entry with same key exists

    Add entry to table pre: no entry with same key exists

    Attributes
      protected
    Definition Classes
      HashTable

26. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all bindings of this map to a string builder using start, end, and separator strings.

    Appends all bindings of this map to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations of all bindings of this map in the form of `key -> value` are separated by the string `sep`.

    b

      the builder to which strings are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      MapLike → TraversableOnce

27. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this mutable hash map to a string builder.

    Appends all elements of this mutable hash map to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable hash map without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

28. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this mutable hash map to a string builder using a separator string.

    Appends all elements of this mutable hash map to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable hash map, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

29. #### def aggregate[B](z: B)(seqop: (B, (Int, Any)) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

30. #### def alwaysInitSizeMap: Boolean

    Attributes
      protected
    Definition Classes
      HashTable

31. #### def andThen[C](k: (Any) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

32. #### def apply(key: Int): Any

    Retrieves the value which is associated with the given key.

    Retrieves the value which is associated with the given key. This method invokes the `default` method of the map if there is no mapping from the given key to a value. Unless overridden, the `default` method throws a `NoSuchElementException`.

    key

      the key

    returns

      the value associated with the given key, or the result of the map's `default` method, if none exists.

    Definition Classes
      HashMap → MapLike → Function1 → GenMapLike

33. #### def applyOrElse[A1 <: Int, B1 >: Any](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

34. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

35. #### def asParIterable: ParIterable[(Int, Any)]

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

36. #### def asParSeq: ParSeq[(Int, Any)]

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

37. #### def calcSizeMapSize(tableLength: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable

38. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this mutable hash map should be compared

    returns

      `true`, if this mutable hash map can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

39. #### def clear(): Unit

    Removes all bindings from the map.

    Removes all bindings from the map. After this operation has completed, the map will be empty.

    Definition Classes
      HashMap → MapLike → Builder → Growable → Clearable

40. #### def clearTable(): Unit

    Remove all entries from table

    Remove all entries from table

    Attributes
      protected
    Definition Classes
      HashTable

41. #### def clone(): HashMap[Int, Any]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      MapLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

42. #### def collect[B](pf: PartialFunction[A, B]): mutable.HashMap[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable hash map on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable hash map on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable hash map.

    returns

      a new mutable hash map resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[(Int, Any), B])(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

43. #### def collectFirst[B](pf: PartialFunction[(Int, Any), B]): Option[B]

    Finds the first element of the mutable hash map for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable hash map for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

44. #### def companion: GenericCompanion[collection.mutable.Iterable]

    The factory companion object that builds instances of class `mutable.HashMap`.

    The factory companion object that builds instances of class `mutable.HashMap`. (or its `Iterable` superclass where class `mutable.HashMap` is not a `Seq`.)

    Definition Classes
      Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

45. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Any

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

46. #### def contains(key: Int): Boolean

    Tests whether this map contains a binding for a key.

    Tests whether this map contains a binding for a key.

    key

      the key

    returns

      `true` if there is a binding for `key` in this map, `false` otherwise.

    Definition Classes
      HashMap → MapLike → GenMapLike

47. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this mutable hash map to an array.

    [use case]

    Copies elements of this mutable hash map to an array. Fills the given array `xs` with at most `len` elements of this mutable hash map, starting at position `start`. Copying will stop once either the end of the current mutable hash map is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (Int, Any)](xs: Array[B], start: Int, len: Int): Unit

48. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable hash map to an array.

    [use case]

    Copies values of this mutable hash map to an array. Fills the given array `xs` with values of this mutable hash map. Copying will stop once either the end of the current mutable hash map is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (Int, Any)](xs: Array[B]): Unit

49. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable hash map to an array.

    [use case]

    Copies values of this mutable hash map to an array. Fills the given array `xs` with values of this mutable hash map, beginning at index `start`. Copying will stop once either the end of the current mutable hash map is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: (Int, Any)](xs: Array[B], start: Int): Unit

50. #### def copyToBuffer[B >: (Int, Any)](dest: Buffer[B]): Unit

    Copies all elements of this mutable hash map to a buffer.

    Copies all elements of this mutable hash map to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

51. #### def count(p: ((Int, Any)) ⇒ Boolean): Int

    Counts the number of elements in the mutable hash map which satisfy a predicate.

    Counts the number of elements in the mutable hash map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

52. #### def createNewEntry[B1](key: Int, value: B1): Entry

    Creates new entry to be immediately inserted into the hashtable.

    Creates new entry to be immediately inserted into the hashtable. This method is guaranteed to be called only once and in case that the entry will be added. In other words, an implementation may be side-effecting.

    Attributes
      protected
    Definition Classes
      HashMap → HashTable

53. #### def default(key: Int): Any

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    Defines the default value computation for the map, returned when a key is not found The method implemented here throws an exception, but it might be overridden in subclasses.

    key

      the given key value for which a binding is missing.

    Definition Classes
      MapLike → GenMapLike
    Exceptions thrown
      `NoSuchElementException`

54. #### def drop(n: Int): HashMap[Int, Any]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable hash map.

    returns

      a mutable hash map consisting of all elements of this mutable hash map except the first `n` ones, or else the empty mutable hash map, if this mutable hash map has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

55. #### def dropRight(n: Int): HashMap[Int, Any]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a mutable hash map consisting of all elements of this mutable hash map except the last `n` ones, or else the empty mutable hash map, if this mutable hash map has less than `n` elements.

    Definition Classes
      IterableLike

56. #### def dropWhile(p: ((Int, Any)) ⇒ Boolean): HashMap[Int, Any]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this mutable hash map whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

57. #### def elemEquals(key1: Int, key2: Int): Boolean

    Attributes
      protected
    Definition Classes
      HashTable

58. #### def elemHashCode(key: Int): Int

    Attributes
      protected
    Definition Classes
      HashUtils

59. #### def empty: HashMap[Int, Any]

    The empty map of the same type as this map

    The empty map of the same type as this map

    returns

      an empty map of type `This`.

    Definition Classes
      HashMap → Map → Map → MapLike

60. #### def ensuring(cond: (UnPicklerEnv) ⇒ Boolean, msg: ⇒ Any): UnPicklerEnv

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to Ensuring[UnPicklerEnv] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

61. #### def ensuring(cond: (UnPicklerEnv) ⇒ Boolean): UnPicklerEnv

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to Ensuring[UnPicklerEnv] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

62. #### def ensuring(cond: Boolean, msg: ⇒ Any): UnPicklerEnv

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to Ensuring[UnPicklerEnv] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

63. #### def ensuring(cond: Boolean): UnPicklerEnv

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to Ensuring[UnPicklerEnv] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

64. #### def entriesIterator: collection.Iterator[DefaultEntry[Int, Any]]

    An iterator returning all entries.

    An iterator returning all entries.

    Attributes
      protected
    Definition Classes
      HashTable

65. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

66. #### def equals(that: Any): Boolean

    Compares two maps structurally; i.

    Compares two maps structurally; i.e. checks if all mappings contained in this map are also contained in the other map, and vice versa.

    that

      the other map

    returns

      `true` if both maps contain exactly the same mappings, `false` otherwise.

    Definition Classes
      GenMapLike → Equals → AnyRef → Any

67. #### def exists(p: ((Int, Any)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this mutable hash map.

    Tests whether a predicate holds for some of the elements of this mutable hash map.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this mutable hash map, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

68. #### def filter(p: ((Int, Any)) ⇒ Boolean): HashMap[Int, Any]

    Selects all elements of this mutable hash map which satisfy a predicate.

    Selects all elements of this mutable hash map which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable hash map consisting of all elements of this mutable hash map that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

69. #### def filterKeys(p: (Int) ⇒ Boolean): Map[Int, Any]

    Filters this map by retaining only keys satisfying a predicate.

    Filters this map by retaining only keys satisfying a predicate.

    p

      the predicate used to test keys

    returns

      an immutable map consisting only of those key value pairs of this map where the key satisfies the predicate `p`. The resulting map wraps the original map without copying any elements.

    Definition Classes
      MapLike → GenMapLike

70. #### def filterNot(p: ((Int, Any)) ⇒ Boolean): HashMap[Int, Any]

    Returns a new map obtained by removing all key/value pairs for which the predicate `p` returns `true`.

    Returns a new map obtained by removing all key/value pairs for which the predicate `p` returns `true`.

    Note: This method works by successively removing elements for which the predicate is true from this set. If removal is slow, or you expect that most elements of the set will be removed, you might consider using `filter` with a negated predicate instead.

    p

      A predicate over key-value pairs

    returns

      A new map containing elements not satisfying the predicate.

    Definition Classes
      MapLike → TraversableLike → GenTraversableLike

71. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

72. #### def find(p: ((Int, Any)) ⇒ Boolean): Option[(Int, Any)]

    Finds the first element of the mutable hash map satisfying a predicate, if any.

    Finds the first element of the mutable hash map satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable hash map that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

73. #### def findEntry(key: Int): DefaultEntry[Int, Any]

    Find entry with given key in table, null if not found.

    Find entry with given key in table, null if not found.

    Attributes
      protected
    Definition Classes
      HashTable

74. #### def findOrAddEntry[B](key: Int, value: B): DefaultEntry[Int, Any]

    Find entry with given key in table, or add new one if not found.

    Find entry with given key in table, or add new one if not found. May be somewhat faster then `findEntry`/`addEntry` pair as it computes entry's hash index only once. Returns entry found in table or null. New entries are created by calling `createNewEntry` method.

    Attributes
      protected
    Definition Classes
      HashTable

75. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): mutable.HashMap[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable hash map and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable hash map and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable hash map. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable hash map resulting from applying the given collection-valued function `f` to each element of this mutable hash map and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: ((Int, Any)) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

76. #### def flatten[B]: mutable.HashMap[B]

    [use case] Converts this mutable hash map of traversable collections into a mutable hash map formed by the elements of these traversable collections.

    [use case]

    Converts this mutable hash map of traversable collections into a mutable hash map formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of mutable hash map. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new mutable hash map resulting from concatenating all element mutable hash maps.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: ((Int, Any)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[B]

77. #### def fold[A1 >: (Int, Any)](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this mutable hash map using the specified associative binary operator.

    Folds the elements of this mutable hash map using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

78. #### def foldLeft[B](z: B)(op: (B, (Int, Any)) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable hash map, going left to right.

    Applies a binary operator to a start value and all elements of this mutable hash map, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable hash map, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this mutable hash map.

    Definition Classes
      TraversableOnce → GenTraversableOnce

79. #### def foldRight[B](z: B)(op: ((Int, Any), B) ⇒ B): B

    Applies a binary operator to all elements of this mutable hash map and a start value, going right to left.

    Applies a binary operator to all elements of this mutable hash map and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable hash map, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable hash map.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

80. #### def forall(p: ((Int, Any)) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable hash map.

    Tests whether a predicate holds for all elements of this mutable hash map.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this mutable hash map, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

81. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this mutable hash map.

    [use case]

    Applies a function `f` to all elements of this mutable hash map.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      HashMap → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[C](f: ((Int, Any)) ⇒ C): Unit

82. #### def foreachEntry[U](f: (DefaultEntry[Int, Any]) ⇒ U): Unit

    Avoid iterator for a 2x faster traversal.

    Avoid iterator for a 2x faster traversal.

    Attributes
      protected
    Definition Classes
      HashTable

83. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

84. #### def genericBuilder[B]: Builder[B, collection.mutable.Iterable[B]]

    The generic builder that builds instances of `mutable.HashMap` at arbitrary element types.

    The generic builder that builds instances of `mutable.HashMap` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

85. #### def get(key: Int): Option[Any]

    Optionally returns the value associated with a key.

    Optionally returns the value associated with a key.

    key

      the key value

    returns

      an option value containing the value associated with `key` in this map, or `None` if none exists.

    Definition Classes
      HashMap → MapLike → GenMapLike

86. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

87. #### def getOrElse(key: Int, default: ⇒ Any): Any

    [use case] Returns the value associated with a key, or a default value if the key is not contained in the map.

    [use case]

    Returns the value associated with a key, or a default value if the key is not contained in the map.

    key

      the key.

    default

      a computation that yields a default value in case no binding for `key` is found in the map.

    returns

      the value associated with `key` if it exists, otherwise the result of the `default` computation.

    Definition Classes
      MapLike → GenMapLike
    Full Signature

    #### def getOrElse[B1 >: Any](key: Int, default: ⇒ B1): B1

88. #### def getOrElseUpdate(key: Int, op: ⇒ Any): Any

    If given key is already in this map, returns associated value.

    If given key is already in this map, returns associated value.

    Otherwise, computes value from given expression `op`, stores with key in map and returns that value.

    key

      the key to test

    op

      the computation yielding the value to associate with `key`, if `key` is previously unbound.

    returns

      the value associated with key (either previously or as a result of executing the method).

    Definition Classes
      MapLike

89. #### def groupBy[K](f: ((Int, Any)) ⇒ K): Map[K, HashMap[Int, Any]]

    Partitions this mutable hash map into a map of mutable hash maps according to some discriminator function.

    Partitions this mutable hash map into a map of mutable hash maps according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new mutable hash map.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable hash maps such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable hash map of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

90. #### def grouped(size: Int): collection.Iterator[HashMap[Int, Any]]

    Partitions elements in fixed size mutable hash maps.

    Partitions elements in fixed size mutable hash maps.

    size

      the number of elements per group

    returns

      An iterator producing mutable hash maps of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

91. #### def hasDefiniteSize: Boolean

    Tests whether this mutable hash map is known to have a finite size.

    Tests whether this mutable hash map is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

92. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenMapLike → AnyRef → Any

93. #### def head: (Int, Any)

    Selects the first element of this mutable hash map.

    Selects the first element of this mutable hash map.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable hash map.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the mutable hash map is empty.

94. #### def headOption: Option[(Int, Any)]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable hash map if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

95. #### def ifParSeq[R](isbody: (ParSeq[(Int, Any)]) ⇒ R): (TraversableOps[(Int, Any)])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

96. #### final def improve(hcode: Int, seed: Int): Int

    Attributes
      protected
    Definition Classes
      HashUtils

97. #### final def index(hcode: Int): Int

    Attributes
      protected
    Definition Classes
      HashTable

98. #### def init: HashMap[Int, Any]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a mutable hash map consisting of all elements of this mutable hash map except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the mutable hash map is empty.

99. #### def initWithContents(c: Contents[Int, DefaultEntry[Int, Any]]): Unit

    Attributes
      protected
    Definition Classes
      HashTable

100. #### def initialSize: Int

     The initial size of the hash table.

     The initial size of the hash table.

     Attributes
       protected
     Definition Classes
       HashTable

101. #### def inits: collection.Iterator[HashMap[Int, Any]]

     Iterates over the inits of this mutable hash map.

     Iterates over the inits of this mutable hash map. The first value will be this mutable hash map and the final one will be an empty mutable hash map, with the intervening values the results of successive applications of `init`.

     returns

       an iterator over all the inits of this mutable hash map

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

102. #### def isDefinedAt(key: Int): Boolean

     Tests whether this map contains a binding for a key.

     Tests whether this map contains a binding for a key. This method, which implements an abstract method of trait `PartialFunction`, is equivalent to `contains`.

     key

       the key

     returns

       `true` if there is a binding for `key` in this map, `false` otherwise.

     Definition Classes
       MapLike → GenMapLike → PartialFunction

103. #### def isEmpty: Boolean

     Tests whether the map is empty.

     Tests whether the map is empty.

     returns

       `true` if the map does not contain any key/value binding, `false` otherwise.

     Definition Classes
       MapLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

104. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

105. #### def isParIterable: Boolean

     Implicit information
       This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

106. #### def isParSeq: Boolean

     Implicit information
       This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

107. #### def isParallel: Boolean

     Implicit information
       This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

108. #### def isSizeMapDefined: Boolean

     Attributes
       protected
     Definition Classes
       HashTable

109. #### final def isTraversableAgain: Boolean

     Tests whether this mutable hash map can be repeatedly traversed.

     Tests whether this mutable hash map can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

110. #### def iterator: collection.Iterator[(Int, Any)]

     Creates a new iterator over all key/value pairs of this map

     Creates a new iterator over all key/value pairs of this map

     returns

       the new iterator

     Definition Classes
       HashMap → MapLike → IterableLike → GenIterableLike

111. #### def keySet: Set[Int]

     Collects all keys of this map in a set.

     Collects all keys of this map in a set.

     returns

       a set containing all keys of this map.

     Definition Classes
       HashMap → MapLike → GenMapLike

112. #### def keys: collection.Iterable[Int]

     Collects all keys of this map in an iterable collection.

     Collects all keys of this map in an iterable collection.

     returns

       the keys of this map as an iterable.

     Definition Classes
       MapLike → GenMapLike
     Annotations
       @migration
     Migration

       (Changed in version 2.8.0) `keys` returns `Iterable[A]` rather than `Iterator[A]`.

113. #### def keysIterator: collection.Iterator[Int]

     Creates an iterator for all keys.

     Creates an iterator for all keys.

     returns

       an iterator over all keys.

     Definition Classes
       HashMap → MapLike → GenMapLike

114. #### def last: (Int, Any)

     Selects the last element.

     Selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       The last element of this mutable hash map.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the mutable hash map is empty.

115. #### def lastOption: Option[(Int, Any)]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this mutable hash map$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

116. #### def lift: (Int) ⇒ Option[Any]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

117. #### def map[B](f: (A) ⇒ B): mutable.HashMap[B]

     [use case] Builds a new collection by applying a function to all elements of this mutable hash map.

     [use case]

     Builds a new collection by applying a function to all elements of this mutable hash map.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new mutable hash map resulting from applying the given function `f` to each element of this mutable hash map and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: ((Int, Any)) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

118. #### def mapResult[NewTo](f: (HashMap[Int, Any]) ⇒ NewTo): Builder[(Int, Any), NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

119. #### def mapValues[C](f: (Any) ⇒ C): Map[Int, C]

     Transforms this map by applying a function to every retrieved value.

     Transforms this map by applying a function to every retrieved value.

     f

       the function used to transform values of this map.

     returns

       a map view which maps every key of this map to `f(this(key))`. The resulting map wraps the original map without copying any elements.

     Definition Classes
       MapLike → GenMapLike

120. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: (Int, Any)](implicit cmp: Ordering[B]): (Int, Any)

121. #### def maxBy[B](f: ((Int, Any)) ⇒ B)(implicit cmp: Ordering[B]): (Int, Any)

     Definition Classes
       TraversableOnce → GenTraversableOnce

122. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this mutable hash map

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: (Int, Any)](implicit cmp: Ordering[B]): (Int, Any)

123. #### def minBy[B](f: ((Int, Any)) ⇒ B)(implicit cmp: Ordering[B]): (Int, Any)

     Definition Classes
       TraversableOnce → GenTraversableOnce

124. #### def mkString: String

     Displays all elements of this mutable hash map in a string.

     Displays all elements of this mutable hash map in a string.

     returns

       a string representation of this mutable hash map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable hash map follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

125. #### def mkString(sep: String): String

     Displays all elements of this mutable hash map in a string using a separator string.

     Displays all elements of this mutable hash map in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this mutable hash map. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable hash map are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

126. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this mutable hash map in a string using start, end, and separator strings.

     Displays all elements of this mutable hash map in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this mutable hash map. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable hash map are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

127. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

128. #### def newBuilder: Builder[(Int, Any), HashMap[Int, Any]]

     A common implementation of `newBuilder` for all mutable maps in terms of `empty`.

     A common implementation of `newBuilder` for all mutable maps in terms of `empty`.

     Overrides `MapLike` implementation for better efficiency.

     Attributes
       protected[this]
     Definition Classes
       MapLike → MapLike → TraversableLike → HasNewBuilder

129. #### def nextLoc(): Int

130. #### def nnSizeMapAdd(h: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

131. #### def nnSizeMapRemove(h: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

132. #### def nnSizeMapReset(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

133. #### def nonEmpty: Boolean

     Tests whether the mutable hash map is not empty.

     Tests whether the mutable hash map is not empty.

     returns

       `true` if the mutable hash map contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

135. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

136. #### def orElse[A1 <: Int, B1 >: Any](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

137. #### def par: ParHashMap[Int, Any]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       HashMap → CustomParallelizable → Parallelizable

138. #### def parCombiner: Combiner[(Int, Any), ParHashMap[Int, Any]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       CustomParallelizable → Parallelizable

139. #### def partition(p: ((Int, Any)) ⇒ Boolean): (HashMap[Int, Any], HashMap[Int, Any])

     Partitions this mutable hash map in two mutable hash maps according to a predicate.

     Partitions this mutable hash map in two mutable hash maps according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of mutable hash maps: the first mutable hash map consists of all elements that satisfy the predicate `p` and the second mutable hash map consists of all elements that don't. The relative order of the elements in the resulting mutable hash maps is the same as in the original mutable hash map.

     Definition Classes
       TraversableLike → GenTraversableLike

140. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this mutable hash map of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable hash map and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: (Int, Any)](implicit num: Numeric[B]): B

141. #### def put(key: Int, value: Any): Option[Any]

     Adds a new key/value pair to this map and optionally returns previously bound value.

     Adds a new key/value pair to this map and optionally returns previously bound value. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       the key to update

     value

       the new value

     returns

       an option value containing the value associated with the key before the `put` operation was executed, or `None` if `key` was not defined in the map before.

     Definition Classes
       HashMap → MapLike

142. #### def reduce[A1 >: (Int, Any)](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this mutable hash map using the specified associative binary operator.

     Reduces the elements of this mutable hash map using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable hash map is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this mutable hash map is empty.

143. #### def reduceLeft[B >: (Int, Any)](op: (B, (Int, Any)) ⇒ B): B

     Applies a binary operator to all elements of this mutable hash map, going left to right.

     Applies a binary operator to all elements of this mutable hash map, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable hash map, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this mutable hash map.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable hash map is empty.

144. #### def reduceLeftOption[B >: (Int, Any)](op: (B, (Int, Any)) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable hash map, going left to right.

     Optionally applies a binary operator to all elements of this mutable hash map, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this mutable hash map is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

145. #### def reduceOption[A1 >: (Int, Any)](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this mutable hash map, if any, using the specified associative binary operator.

     Reduces the elements of this mutable hash map, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

146. #### def reduceRight[B >: (Int, Any)](op: ((Int, Any), B) ⇒ B): B

     Applies a binary operator to all elements of this mutable hash map, going right to left.

     Applies a binary operator to all elements of this mutable hash map, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable hash map, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this mutable hash map.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable hash map is empty.

147. #### def reduceRightOption[B >: (Int, Any)](op: ((Int, Any), B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable hash map, going right to left.

     Optionally applies a binary operator to all elements of this mutable hash map, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this mutable hash map is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

148. #### def remove(key: Int): Option[Any]

     Removes a key from this map, returning the value associated previously with that key as an option.

     Removes a key from this map, returning the value associated previously with that key as an option.

     key

       the key to be removed

     returns

       an option value containing the value associated previously with `key`, or `None` if `key` was not defined in the map before.

     Definition Classes
       HashMap → MapLike

149. #### def removeEntry(key: Int): DefaultEntry[Int, Any]

     Remove entry from table if present.

     Remove entry from table if present.

     Attributes
       protected
     Definition Classes
       HashTable

150. #### def repr: HashMap[Int, Any]

     The collection of type mutable hash map underlying this `TraversableLike` object.

     The collection of type mutable hash map underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

151. #### def result(): HashMap[Int, Any]

     The result when this map is used as a builder

     The result when this map is used as a builder

     returns

       the map representation itself.

     Definition Classes
       MapLike → Builder

152. #### def retain(p: (Int, Any) ⇒ Boolean): UnPicklerEnv.this.type

     Retains only those mappings for which the predicate `p` returns `true`.

     Retains only those mappings for which the predicate `p` returns `true`.

     p

       The test predicate

     Definition Classes
       MapLike

153. #### def reversed: List[(Int, Any)]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

154. #### def runWith[U](action: (Any) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

155. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable hash map.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this mutable hash map.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: (Int, Any)](that: GenIterable[B]): Boolean

156. #### def scan[B >: (Int, Any), That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[HashMap[Int, Any], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new mutable hash map containing the prefix scan of the elements in this mutable hash map

     Definition Classes
       TraversableLike → GenTraversableLike

157. #### def scanLeft[B, That](z: B)(op: (B, (Int, Any)) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `HashMap`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

158. #### def scanRight[B, That](z: B)(op: ((Int, Any), B) ⇒ B)(implicit bf: CanBuildFrom[HashMap[Int, Any], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`. This is usually the `canBuildFrom` value defined in object `HashMap`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

159. #### var seedvalue: Int

     Attributes
       protected
     Definition Classes
       HashTable

160. #### def seq: Map[Int, Any]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Map → Map → GenMap → GenMapLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

161. #### def size: Int

     The size of this mutable hash map.

     The size of this mutable hash map.

     returns

       the number of elements in this mutable hash map.

     Definition Classes
       HashMap → GenTraversableLike → TraversableOnce → GenTraversableOnce

162. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

163. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

164. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

165. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

166. #### final def sizeMapBucketBitSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

167. #### final def sizeMapBucketSize: Int

     Attributes
       protected
     Definition Classes
       HashUtils

168. #### def sizeMapDisable(): Unit

     Attributes
       protected
     Definition Classes
       HashTable

169. #### def sizeMapInit(tableLength: Int): Unit

     Attributes
       protected
     Definition Classes
       HashTable

170. #### def sizeMapInitAndRebuild(): Unit

     Attributes
       protected
     Definition Classes
       HashTable

171. #### var sizemap: Array[Int]

     The array keeping track of the number of elements in 32 element blocks.

     The array keeping track of the number of elements in 32 element blocks.

     Attributes
       protected
     Definition Classes
       HashTable

172. #### def slice(from: Int, until: Int): HashMap[Int, Any]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable hash map containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable hash map.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

173. #### def sliding(size: Int, step: Int): collection.Iterator[HashMap[Int, Any]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing mutable hash maps of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

174. #### def sliding(size: Int): collection.Iterator[HashMap[Int, Any]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing mutable hash maps of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

175. #### def span(p: ((Int, Any)) ⇒ Boolean): (HashMap[Int, Any], HashMap[Int, Any])

     Splits this mutable hash map into a prefix/suffix pair according to a predicate.

     Splits this mutable hash map into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this mutable hash map whose elements all satisfy `p`, and the rest of this mutable hash map.

     Definition Classes
       TraversableLike → GenTraversableLike

176. #### def splitAt(n: Int): (HashMap[Int, Any], HashMap[Int, Any])

     Splits this mutable hash map into two at a given position.

     Splits this mutable hash map into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of mutable hash maps consisting of the first `n` elements of this mutable hash map, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

177. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this mutable hash map. Unless overridden in subclasses, the string prefix of every map is `"Map"`.

     Definition Classes
       MapLike → TraversableLike → GenTraversableLike

178. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable hash map of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable hash map and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: (Int, Any)](implicit num: Numeric[B]): B

179. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

180. #### var table: Array[HashEntry[Int, DefaultEntry[Int, Any]]]

     The actual hash table.

     The actual hash table.

     Attributes
       protected
     Definition Classes
       HashTable

181. #### var tableSize: Int

     The number of mappings contained in this hash table.

     The number of mappings contained in this hash table.

     Attributes
       protected
     Definition Classes
       HashTable

182. #### def tableSizeSeed: Int

     Attributes
       protected
     Definition Classes
       HashTable

183. #### def tail: HashMap[Int, Any]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable hash map consisting of all elements of this mutable hash map except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the mutable hash map is empty.

184. #### def tails: collection.Iterator[HashMap[Int, Any]]

     Iterates over the tails of this mutable hash map.

     Iterates over the tails of this mutable hash map. The first value will be this mutable hash map and the final one will be an empty mutable hash map, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable hash map

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

185. #### def take(n: Int): HashMap[Int, Any]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable hash map.

     returns

       a mutable hash map consisting only of the first `n` elements of this mutable hash map, or else the whole mutable hash map, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

186. #### def takeRight(n: Int): HashMap[Int, Any]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a mutable hash map consisting only of the last `n` elements of this mutable hash map, or else the whole mutable hash map, if it has less than `n` elements.

     Definition Classes
       IterableLike

187. #### def takeWhile(p: ((Int, Any)) ⇒ Boolean): HashMap[Int, Any]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this mutable hash map whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

188. #### def thisCollection: collection.Iterable[(Int, Any)]

     The underlying collection seen as an instance of ``mutable.HashMap``.

     The underlying collection seen as an instance of ``mutable.HashMap``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

189. #### var threshold: Int

     The next size value at which to resize (capacity * load factor).

     The next size value at which to resize (capacity * load factor).

     Attributes
       protected
     Definition Classes
       HashTable

190. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable hash map into another by copying all elements.

     [use case]

     Converts this mutable hash map into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable hash map.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, (Int, Any), Col[(Int, Any)]]): Col[(Int, Any)]

191. #### def toArray: Array[A]

     [use case] Converts this mutable hash map to an array.

     [use case]

     Converts this mutable hash map to an array.

     returns

       an array containing all elements of this mutable hash map. An `ClassTag` must be available for the element type of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: (Int, Any)](implicit arg0: ClassTag[B]): Array[B]

192. #### def toBuffer[C >: (Int, Any)]: Buffer[C]

     Converts this mutable hash map to a mutable buffer.

     Converts this mutable hash map to a mutable buffer.

     returns

       a buffer containing all elements of this mutable hash map.

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

193. #### def toCollection(repr: HashMap[Int, Any]): collection.Iterable[(Int, Any)]

     A conversion from collections of type `Repr` to ``mutable.HashMap`` objects.

     A conversion from collections of type `Repr` to ``mutable.HashMap`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

194. #### def toIndexedSeq: collection.immutable.IndexedSeq[(Int, Any)]

     Converts this mutable hash map to an indexed sequence.

     Converts this mutable hash map to an indexed sequence.

     returns

       an indexed sequence containing all elements of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce

195. #### def toIterable: collection.Iterable[(Int, Any)]

     Converts this mutable hash map to an iterable collection.

     Converts this mutable hash map to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this mutable hash map.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

196. #### def toIterator: collection.Iterator[(Int, Any)]

     Returns an Iterator over the elements in this mutable hash map.

     Returns an Iterator over the elements in this mutable hash map. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this mutable hash map.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

197. #### def toList: List[(Int, Any)]

     Converts this mutable hash map to a list.

     Converts this mutable hash map to a list.

     returns

       a list containing all elements of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce

198. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this mutable hash map to a map.

     [use case]

     Converts this mutable hash map to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[(Int, Any), (T, U)]): Map[T, U]

199. #### def toParArray: ParArray[(Int, Any)]

     Implicit information
       This member is added by an implicit conversion from UnPicklerEnv to TraversableOps[(Int, Any)] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

200. #### def toSeq: collection.Seq[(Int, Any)]

     Converts this mutable hash map to a sequence.

     Converts this mutable hash map to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this mutable hash map.

     Definition Classes
       MapLike → TraversableOnce → GenTraversableOnce

201. #### def toSet[B >: (Int, Any)]: Set[B]

     Converts this mutable hash map to a set.

     Converts this mutable hash map to a set.

     returns

       a set containing all elements of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce

202. #### def toStream: collection.immutable.Stream[(Int, Any)]

     Converts this mutable hash map to a stream.

     Converts this mutable hash map to a stream.

     returns

       a stream containing all elements of this mutable hash map.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

203. #### def toString(): String

     Converts this mutable hash map to a string.

     Converts this mutable hash map to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this mutable hash map, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       MapLike → TraversableLike → Function1 → AnyRef → Any

204. #### def toTraversable: collection.Traversable[(Int, Any)]

     Converts this mutable hash map to an unspecified Traversable.

     Converts this mutable hash map to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this mutable hash map.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

205. #### def toVector: Vector[(Int, Any)]

     Converts this mutable hash map to a Vector.

     Converts this mutable hash map to a Vector.

     returns

       a vector containing all elements of this mutable hash map.

     Definition Classes
       TraversableOnce → GenTraversableOnce

206. #### def transform(f: (Int, Any) ⇒ Any): UnPicklerEnv.this.type

     Applies a transformation function to all values contained in this map.

     Applies a transformation function to all values contained in this map. The transformation function produces new values from existing keys associated values.

     f

       the transformation to apply

     returns

       the map itself.

     Definition Classes
       MapLike

207. #### def transpose[B](implicit asTraversable: ((Int, Any)) ⇒ GenTraversableOnce[B]): collection.mutable.Iterable[collection.mutable.Iterable[B]]

     Transposes this mutable hash map of traversable collections into a mutable hash map of mutable hash maps.

     Transposes this mutable hash map of traversable collections into a mutable hash map of mutable hash maps.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this mutable hash map is a `Traversable`.

     returns

       a two-dimensional mutable hash map of mutable hash maps which has as nth row the nth column of this mutable hash map.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this mutable hash map are not of the same size.

208. #### def unzip[A1, A2](implicit asPair: ((Int, Any)) ⇒ (A1, A2)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2])

     Converts this mutable hash map of pairs into two collections of the first and second half of each pair.

     Converts this mutable hash map of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable hash map is a pair.

     returns

       a pair mutable hash maps, containing the first, respectively second half of each element pair of this mutable hash map.

     Definition Classes
       GenericTraversableTemplate

209. #### def unzip3[A1, A2, A3](implicit asTriple: ((Int, Any)) ⇒ (A1, A2, A3)): (collection.mutable.Iterable[A1], collection.mutable.Iterable[A2], collection.mutable.Iterable[A3])

     Converts this mutable hash map of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable hash map of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable hash map is a triple.

     returns

       a triple mutable hash maps, containing the first, second, respectively third member of each element triple of this mutable hash map.

     Definition Classes
       GenericTraversableTemplate

210. #### def update(key: Int, value: Any): Unit

     Adds a new key/value pair to this map.

     Adds a new key/value pair to this map. If the map already contains a mapping for the key, it will be overridden by the new value.

     key

       The key to update

     value

       The new value

     Definition Classes
       HashMap → MapLike

211. #### def updated[B1 >: Any](key: Int, value: B1): Map[Int, B1]

     Creates a new map consisting of all key/value pairs of the current map plus a new pair of a given key and value.

     Creates a new map consisting of all key/value pairs of the current map plus a new pair of a given key and value.

     B1

       the type of the added value

     key

       The key to add

     value

       The new value

     returns

       A fresh immutable map with the binding from `key` to `value` added to this map.

     Definition Classes
       MapLike → MapLike

212. #### def useSizeMap(t: Boolean): Unit

     Toggles whether a size map is used to track hash map statistics.

     Toggles whether a size map is used to track hash map statistics.

     Definition Classes
       HashMap

213. #### def values: collection.Iterable[Any]

     Collects all values of this map in an iterable collection.

     Collects all values of this map in an iterable collection.

     returns

       the values of this map as an iterable.

     Definition Classes
       HashMap → MapLike → GenMapLike

214. #### def valuesIterator: collection.Iterator[Any]

     Creates an iterator for all values in this map.

     Creates an iterator for all values in this map.

     returns

       an iterator over all values that are associated with some key in this map.

     Definition Classes
       HashMap → MapLike → GenMapLike

215. #### def view(from: Int, until: Int): IterableView[(Int, Any), HashMap[Int, Any]]

     Creates a non-strict view of a slice of this mutable hash map.

     Creates a non-strict view of a slice of this mutable hash map.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current mutable hash map, whereas `slice` produces a new mutable hash map.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this mutable hash map, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

216. #### def view: IterableView[(Int, Any), HashMap[Int, Any]]

     Creates a non-strict view of this mutable hash map.

     Creates a non-strict view of this mutable hash map.

     returns

       a non-strict view of this mutable hash map.

     Definition Classes
       IterableLike → TraversableLike

217. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

218. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

219. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

220. #### def withDefault(d: (Int) ⇒ Any): Map[Int, Any]

     The same map with a given default function.

     The same map with a given default function.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       the function mapping keys to values, used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       Map

221. #### def withDefaultValue(d: Any): Map[Int, Any]

     The same map with a given default value.

     The same map with a given default value.

     Invoking transformer methods (e.g. `map`) will not preserve the default value.

     d

       the function mapping keys to values, used for non-present keys

     returns

       a wrapper of the map with a default value

     Definition Classes
       Map

222. #### def withFilter(p: ((Int, Any)) ⇒ Boolean): FilterMonadic[(Int, Any), HashMap[Int, Any]]

     Creates a non-strict filter of this mutable hash map.

     Creates a non-strict filter of this mutable hash map.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable hash map which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

223. #### def zip[B](that: GenIterable[B]): mutable.HashMap[(A, B)]

     [use case] Returns a mutable hash map formed from this mutable hash map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable hash map formed from this mutable hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable hash map containing pairs consisting of corresponding elements of this mutable hash map and `that`. The length of the returned collection is the minimum of the lengths of this mutable hash map and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: (Int, Any), B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[HashMap[Int, Any], (A1, B), That]): That

224. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): mutable.HashMap[(A, B)]

     [use case] Returns a mutable hash map formed from this mutable hash map and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable hash map formed from this mutable hash map and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable hash map is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable hash map.

     returns

       a new mutable hash map containing pairs consisting of corresponding elements of this mutable hash map and `that`. The length of the returned collection is the maximum of the lengths of this mutable hash map and `that`. If this mutable hash map is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable hash map, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: (Int, Any), That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[HashMap[Int, Any], (A1, B), That]): That

225. #### def zipWithIndex: mutable.HashMap[(A, Int)]

     [use case] Zips this mutable hash map with its indices.

     [use case]

     Zips this mutable hash map with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new mutable hash map containing pairs consisting of all elements of this mutable hash map paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: (Int, Any), That](implicit bf: CanBuildFrom[HashMap[Int, Any], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

226. #### def →[B](y: B): (UnPicklerEnv, B)

     Implicit information
       This member is added by an implicit conversion from UnPicklerEnv to ArrowAssoc[UnPicklerEnv] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (unPicklerEnv: StringAdd).+(other)

   Definition Classes
     StringAdd

2. #### def filter(p: ((Int, Any)) ⇒ Boolean): collection.TraversableOnce[(Int, Any)]

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to MonadOps[(Int, Any)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (unPicklerEnv: MonadOps[(Int, Any)]).filter(p)

   Definition Classes
     MonadOps

3. #### def flatMap[B](f: ((Int, Any)) ⇒ GenTraversableOnce[B]): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to MonadOps[(Int, Any)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (unPicklerEnv: MonadOps[(Int, Any)]).flatMap(f)

   Definition Classes
     MonadOps

4. #### def map[B](f: ((Int, Any)) ⇒ B): collection.TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to MonadOps[(Int, Any)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (unPicklerEnv: MonadOps[(Int, Any)]).map(f)

   Definition Classes
     MonadOps

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unPicklerEnv: StringAdd).self

   Definition Classes
     StringAdd

6. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unPicklerEnv: StringFormat).self

   Definition Classes
     StringFormat

7. #### def withFilter(p: ((Int, Any)) ⇒ Boolean): collection.Iterator[(Int, Any)]

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to MonadOps[(Int, Any)] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (unPicklerEnv: MonadOps[(Int, Any)]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: (Int, Any)](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: UnPicklerEnv

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to ArrowAssoc[UnPicklerEnv] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unPicklerEnv: ArrowAssoc[UnPicklerEnv]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: UnPicklerEnv

   Implicit information
     This member is added by an implicit conversion from UnPicklerEnv to Ensuring[UnPicklerEnv] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (unPicklerEnv: Ensuring[UnPicklerEnv]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from HashMap[Int, Any]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from CustomParallelizable[(Int, Any), ParHashMap[Int, Any]]

### Inherited from HashTable[Int, DefaultEntry[Int, Any]]

### Inherited from HashUtils[Int]

### Inherited from AbstractMap[Int, Any]

### Inherited from Map[Int, Any]

### Inherited from MapLike[Int, Any, HashMap[Int, Any]]

### Inherited from collection.mutable.Cloneable[HashMap[Int, Any]]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[Int]

### Inherited from Builder[(Int, Any), HashMap[Int, Any]]

### Inherited from Growable[(Int, Any)]

### Inherited from Clearable

### Inherited from collection.mutable.Iterable[(Int, Any)]

### Inherited from collection.mutable.Traversable[(Int, Any)]

### Inherited from Mutable

### Inherited from AbstractMap[Int, Any]

### Inherited from Map[Int, Any]

### Inherited from MapLike[Int, Any, HashMap[Int, Any]]

### Inherited from Subtractable[Int, HashMap[Int, Any]]

### Inherited from PartialFunction[Int, Any]

### Inherited from (Int) ⇒ Any

### Inherited from GenMap[Int, Any]

### Inherited from GenMapLike[Int, Any, HashMap[Int, Any]]

### Inherited from AbstractIterable[(Int, Any)]

### Inherited from collection.Iterable[(Int, Any)]

### Inherited from IterableLike[(Int, Any), HashMap[Int, Any]]

### Inherited from Equals

### Inherited from GenIterable[(Int, Any)]

### Inherited from GenIterableLike[(Int, Any), HashMap[Int, Any]]

### Inherited from AbstractTraversable[(Int, Any)]

### Inherited from collection.Traversable[(Int, Any)]

### Inherited from GenTraversable[(Int, Any)]

### Inherited from GenericTraversableTemplate[(Int, Any), collection.mutable.Iterable]

### Inherited from TraversableLike[(Int, Any), HashMap[Int, Any]]

### Inherited from GenTraversableLike[(Int, Any), HashMap[Int, Any]]

### Inherited from Parallelizable[(Int, Any), ParHashMap[Int, Any]]

### Inherited from collection.TraversableOnce[(Int, Any)]

### Inherited from GenTraversableOnce[(Int, Any)]

### Inherited from FilterMonadic[(Int, Any), HashMap[Int, Any]]

### Inherited from HasNewBuilder[(Int, Any), HashMap[Int, Any]]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from UnPicklerEnv to TraversableOps[(Int, Any)]

### Inherited by implicit conversion MonadOps from UnPicklerEnv to MonadOps[(Int, Any)]

### Inherited by implicit conversion any2stringadd from UnPicklerEnv to StringAdd

### Inherited by implicit conversion any2stringfmt from UnPicklerEnv to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from UnPicklerEnv to ArrowAssoc[UnPicklerEnv]

### Inherited by implicit conversion any2Ensuring from UnPicklerEnv to Ensuring[UnPicklerEnv]

### Inherited by implicit conversion alternateImplicit from UnPicklerEnv to ForceImplicitAmbiguity

### Ungrouped